OpenJPEG: auxtrans_manager.h File Reference

OpenJPEG 2.5.0

Data Structures | Typedefs | Functions
auxtrans_manager.h File Reference
`#include "sock_manager.h"`
`#include "opj_includes.h"`

Go to the source code of this file.

## Data Structures
struct | auxtrans_param
| auxiliary transport setting parameters More...

## Typedefs
typedef struct auxtrans_param | auxtrans_param_t
| auxiliary transport setting parameters More...

## Functions
auxtrans_param_t | init_aux_transport (int tcp_auxport, int udp_auxport)
| Initialize auxiliary transport server of JPIP server. More...
void | close_aux_transport (auxtrans_param_t auxtrans)
| Close auxiliary transport server of JPIP server. More...
void | send_responsedata_on_aux (OPJ_BOOL istcp, auxtrans_param_t auxtrans, const char cid[], void *data, OPJ_SIZE_T length, OPJ_SIZE_T maxlenPerFrame)
| Send response data on aux transport. More...

## Typedef Documentation

## ◆ auxtrans_param_t

typedef struct auxtrans_param auxtrans_param_t

auxiliary transport setting parameters

## Function Documentation

## ◆ close_aux_transport()

void close_aux_transport | ( | auxtrans_param_t | auxtrans | ) |

Close auxiliary transport server of JPIP server.

Parameters

  [in] | auxtrans | closing transport server

auxiliary response parameters

References close_socket(), auxtrans_param::tcplistensock, and auxtrans_param::udplistensock.

## ◆ init_aux_transport()

auxtrans_param_t init_aux_transport | ( | int | tcp_auxport,
|  | int | udp_auxport
| ) |  |

Initialize auxiliary transport server of JPIP server.

Parameters

  [in] | tcp_auxport | opening tcp auxiliary port ( 0 not to open, valid No. 49152-65535)
  [in] | udp_auxport | opening udp auxiliary port ( 0 not to open, valid No. 49152-65535)

Returns
  initialized transport parameters

References open_listeningsocket(), auxtrans_param::tcpauxport, auxtrans_param::tcplistensock, auxtrans_param::udpauxport, and auxtrans_param::udplistensock.

## ◆ send_responsedata_on_aux()

void send_responsedata_on_aux | ( | OPJ_BOOL | istcp,
|  | auxtrans_param_t | auxtrans,
|  | const char | cid[],
|  | void * | data,
|  | OPJ_SIZE_T | length,
|  | OPJ_SIZE_T | maxlenPerFrame
| ) |  |

Send response data on aux transport.

Parameters

  [in] | istcp | true if tcp, false if udp
  [in] | auxtrans | available transport parameters
  [in] | cid | channel ID
  [in] | data | sending data
  [in] | length | length of data
  [in] | maxlenPerFrame | maximum data length to send per frame

References aux_streaming(), FCGI_stderr, gene_auxresponse(), and auxtrans_param::tcplistensock.